export function genActiveRule(routerPrefix) {
  debugger
  return location => location.pathname.startsWith(routerPrefix);
}
export default {
  dev: [
    {
      name: 'web4_console',
      entry: `//${window.location.hostname}:3020/civweb4`,
      container: '#micro-container',
      activeRule: genActiveRule('/civbase/civweb4'),
      props: {},
    },
    {
      name: 'civ_monitor',
      entry: `//${window.location.hostname}:8081/civ_monitor`,
      container: '#micro-container',
      activeRule: genActiveRule('/civbase/civ_monitor'),
    },
    {
      name: 'civweb5',
      entry: `//172.16.10.54:3008/civweb5`,
      container: '#micro-container',
      activeRule: genActiveRule('/civbase/civweb5'),
    },
  ],
  prod: [
    {
      name: 'web4_console',
      entry: `//${window.location.host}/civweb4`,
      container: '#micro-container',
      activeRule: genActiveRule('/civbase/civweb4'),
      props: {},
    },
  ],
};
